%global _empty_manifest_terminate_build 0
Name:		python-Keras
Version:	2.10.0
Release:	1
Summary:	Deep Learning for humans
License:	Apache-2.0
URL:		https://github.com/keras-team/keras
Source0:	https://github.com/keras-team/keras/archive/refs/tags/v2.10.0.tar.gz#/keras-2.10.0.tar.gz
BuildArch:	noarch

Requires:	python3-numpy
Requires:	python3-scipy
Requires:	python3-pyyaml
Requires:	python3-h5py
Requires:	python3-pytest
Requires:	python3-pytest-pep8
Requires:	python3-pytest-xdist
Requires:	python3-flaky
Requires:	python3-pytest-cov
Requires:	python3-pandas
Requires:	python3-requests
Requires:	python3-markdown
Requires:	python3-pydot

%description
Keras is a high-level neural networks API for Python.

Read the documentation at: https://keras.io/

Keras is compatible with Python 3.6+
and is distributed under the MIT license.

%package -n python3-Keras
Summary:	Deep Learning for humans
Provides:	python-Keras
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-Keras
Keras is a high-level neural networks API for Python.

Read the documentation at: https://keras.io/

Keras is compatible with Python 3.6+
and is distributed under the MIT license.

%package help
Summary:	Development documents and examples for Keras
Provides:	python3-Keras-doc
%description help
Keras is a high-level neural networks API for Python.

Read the documentation at: https://keras.io/

Keras is compatible with Python 3.6+
and is distributed under the MIT license.

%prep
%autosetup -n keras-%{version}

%build
cp ./keras/tools/pip_package/setup.py .
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-Keras -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Nov 21 2022 Bin Hu <hubin73@huawei.com> - 2.10.0-1
- Upgrade to version v2.10.0 for tensorflow 2.10 build

* Tue Jun 21 2022 chendexi <chendexi@kylinos.cn> - 2.9.0-1
- Upgrade to version v2.9.0

* Thu Oct 15 2020 Python_Bot <Python_Bot@openeuler.org> - 2.4.3-1
- Package Spec generated
